Acquirer Transactions
Validate Transaction
PUT
https://api.druo.com/transactions/validateValidate a transaction.
Validates a transaction using a transaction UUID and validation token or OTP. Requires a Bearer Token for authentication.
Request body
An idempotency key used to prevent duplicate operations.
The validation token identifier.
The unique identifier (UUID) of the transaction.
The one-time password (OTP) required to validate this transaction.
Response
The unique identifier (UUID) of the transaction.
Example:
trx_422f0f81-5001-4cce-a229-242d9ab9960aThe current status of the transaction.
Possible values:
PROCESSINGSUCCESSFULFAILEDCANCELEDExample:
SUCCESSFULThe decline reason for the transaction, if applicable.
Example:
INSUFFICCIENT_FUNDS
